Commit bd53c19c authored by Mathieu Giraud's avatar Mathieu Giraud

.travis.yml: use travis container-based infrastructure

Using partially http://stackoverflow.com/a/32127147 for g++-4.8
(but env: COMPILER=g++-4.8 seems not to work)
parent dc805f3a
sudo: false
language: cpp
compiler: gcc
before_install:
- sudo pip install cpp-coveralls
# g++-4.8
- sudo add-apt-repository -y ppa:ubuntu-toolchain-r/test
- sudo apt-get update -qq
addons:
apt:
sources:
- ubuntu-toolchain-r-test
packages:
- gcc-4.8
- g++-4.8
env: COMPILER=g++-4.8
install:
- sudo apt-get install -qq gcc-4.8 g++-4.8
- sudo update-alternatives --install /usr/bin/g++ g++ /usr/bin/g++-4.8 90
before_install:
- pip install cpp-coveralls
before_script: make data ; make germline
script:
- export CXX="g++-4.8"
- g++ --version
- $CXX --version
###
- echo '"Build..."' && echo -en 'travis_fold:start:script.build\\r'
- make
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment